Subject: Re: bug#70914: 29.3; Crashes often on Windows

From: Hannes Domani <[email-masked]>
Date: Wed, 22 May 2024 18:12:59 +0000 (UTC)

Am Mittwoch, 22. Mai 2024 um 16:58:12 MESZ hat Eli Zaretskii <[email-masked]> Folgendes geschrieben:

> > Date: Wed, 22 May 2024 14:28:20 +0000 (UTC)
> > From: Hannes Domani <[email-masked]>
> > Cc: "[email-masked]" <[email-masked]>,
>
> >     "[email-masked]" <[email-masked]>
> >
> > > OK, then Hannes should look into it.  My guess is that GDB doesn't
> > > realize that CP65001 is just a funny name for UTF-8...
> >
> > I would, but I can't even figure out how to set CP65001:
> >
> > (gdb) set charset CP65001
> > Undefined item: "CP65001".
> >
> > Or do I need a different setting?
>
>
> I think it's a Windows setting.  It's an experimental feature which
> you can activate from Settings.  This page explains how:
>
>   https://exploratory.io/note/exploratory/Enabling-UTF-8-on-Windows-hYc3yWL0

Thanks, I could reproduce the issue like this.

But it took me too long to figure out that I needed to patch iconv so
that it understand CP65001:

https://github.com/msys2/MINGW-packages/blob/master/mingw-w64-libiconv/0003-add-cp65001-as-utf8-alias.patch

But with this now I don't get these encoding warnings any more.

Hannes